Bug 19839 - invoice.pl warns about bad variable scope
Summary: invoice.pl warns about bad variable scope
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Grace
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-12-19 18:14 UTC by Jonathan Druart
Modified: 2018-06-04 20:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19839: Removed Warning (849 bytes, patch)
2018-01-16 03:46 UTC, Grace
Details | Diff | Splinter Review
Bug 19839: Removed Warning (947 bytes, patch)
2018-01-16 13:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-12-19 18:14:40 UTC
Variable "$template" is not available at /home/vagrant/kohaclone/acqui/invoice.pl line 204.

204         $template->param( uncertainprices => 1 );

uncertainprices is not used in the template (this code has been c/p from basket.pl). We can remove this line to remove the warning
Comment 1 Grace 2018-01-16 03:46:21 UTC
Created attachment 70544 [details] [review]
Bug 19839: Removed Warning

Test Plan
[1.] Check the patch to see that I have removed:
$template->param( uncertainprices => 1 ); from line 204 as Mr Druart has instructed to do
(to get to the patch see the comment above by Mr Druart)
Comment 2 Marcel de Rooy 2018-01-16 13:49:21 UTC
Created attachment 70552 [details] [review]
Bug 19839: Removed Warning

Test Plan
[1.] Check the patch to see that I have removed:
$template->param( uncertainprices => 1 ); from line 204 as Mr Druart has instructed to do
(to get to the patch see the comment above by Mr Druart)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Jonathan Druart 2018-01-19 18:56:26 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 4 Nick Clemens 2018-01-23 04:14:46 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 5 Fridolin SOMERS 2018-02-02 08:35:34 UTC
Pushed to 17.05.x for v17.05.09

Less warn in logs saves trees ;)